// potoconf.js
// utf-8
//

(function(){

var cons = poto.cons;
var conf = poto.conf;
var env = poto.env;
var ua = poto.ua;
var dom = poto.dom;
var event = poto.event;
var lib = poto.lib;


// 'Known Distance' preset values
conf.kdist = [
	'10mm',
	'20mm',
	'50mm',
	'1円玉: 20.0mm',
	'10円玉: 23.5mm',
	'credit card (W): 86mm',
	'credit card (H): 54mm',
	'人差し指の爪の幅: 11.0mm',
];

// 
conf.n_grid = [
	{ group: 'Grid' },
	{ value:0, text:' 0 grid' },
	{ value:1, text:' 1 grid' },
	{ value:2, text:' 2 grid' },
	{ value:3, text:' 3 grid' },
	{ value:4, text:' 4 grid' },
	{ value:5, text:' 5 grid' },
	{ value:6, text:' 6 grid' },
	{ value:8, text:' 8 grid' },
	{ value:10, text:'10 grid' },
];

conf.bar_size = [
	{ group:'Bar Length' },
	{ value:960, text:'800 bl' },
	{ value:480, text:'400 bl' },
	{ value:240, text:'200 bl' },
	{ value:120, text:'100 bl' },
];

// group?
conf.tool_size = [
	{ group:'Tool Size' },
	{ value:4  , text:'400 ts' },
	{ value:2.8, text:'280 ts' },
	{ value:2  , text:'200 ts' },
	{ value:1.4, text:'140 ts' },
	{ value:1  , text:'100 ts' },
	{ value:0.7, text:'70 ts' },
	{ value:0.5, text:'50 ts' },
];

conf.mark_opacity = [
	{ group:'Opacity' },
	{ value:1, text:'100 op' },
	{ value:0.85, text:'85 op' },
	{ value:0.7, text:'70 op' },
	{ value:0.5, text:'50 op' },
];

conf.bar_opacity = [
	{ group:"Bar Opacity" },
	{ value:1, text:'100 bo' },
	{ value:0.7, text:'70 bo' },
	{ value:0.5, text:'50 bo' },
	{ value:0.3, text:'30 bo' },
	{ value:0.15, text:'15 bo' },
	{ value:0, text:'0 bo' },
];

conf.font_size = [
	{ group:"Font Size" },
	{ value:2, text:'200 fs' },
	{ value:1.7, text:'170 fs' },
	{ value:1.4, text:'140 fs' },
	{ value:1.2, text:'120 fs' },
	{ value:1, text:'100 fs' },
	{ value:0.85, text:'85 fs' },
	{ value:0.7, text:'70 fs' },
	{ value:0.6, text:'60 fs' },
	{ value:0.5, text:'50 fs' },
];

conf.console = [
	{ group:"Console" },
	{ value:0, text:'0 cons' },
	{ value:4, text:'4 cons' },
	{ value:10, text:'10 cons' },
	{ value:16, text:'16 cons' },
];

conf.n_tool = 6;
conf.tool_color = [
	{ r:1, g:0, b:0 },
	{ r:1, g:1, b:0 },
	{ r:0, g:1, b:0 },
	{ r:0, g:1, b:1 },
	{ r:0, g:0, b:1 },
	{ r:1, g:0, b:1 },
];

// 下に表示するオプション
conf.option = [
	'n_grid',
	'bar_size',
	'tool_size',
	'mark_opacity',
	'bar_opacity',
	'font_size',
	'console',
];

// profileとかか。
conf.cookie_name = 'potome';


// プログラム欄の数
conf.n_prog = 3;

// 最初に起動した時の規定値。
// 2回目からクッキーに保存される。
conf.dflt = {
	n_grid:0,
	bar_size:120,
	tool_size:1,
	mark_opacity:0.7,
	bar_opacity:0.3,
	font_size:1,
	console:0,

	src:'sample.jpg',
	known_dist:'10mm',
	mdist_mode:'Caliper',
	ctool:0,

	prog_0:'ws(2,3)',
	prog_1:'p(4,5)',
	prog_2:'a(4,5)',
//		'av(1,5)',

	dummy:''
};

// 関数
with(env){

	// 比
	env.p = function(n,d){
		return f1(D[n]/D[d]*100) + '%';
	};

	// 角度
	env.a = function(a,b){
		return f0(deg(angle(A[a],A[b]))) + '°';
	};

	// 開張
	// wing-span
	env.ws = function(a,b){
		return f(D[a]*2+D[b]) + unit;
	};

	// 平均
	env.av = function(a,b){
		var i, s, n;
		for( i = a, s = 0, n = 0; i <= b; i++ ) {
			if ( !isNaN(D[i]) ) {
				s += D[i];
				n++;
			}
		}
		return f(s/n) + unit;
	};

}

})();
